%define monodir %{_prefix}/lib/mono
%define monodocdir %{_prefix}/lib/monodoc
%define monover 3.0.12
%define pkgconfigdir %{_datadir}/pkgconfig

%define __noautoreq 'lib\.*gtk'

Summary:	Mono tools, including the documentation browser
Name:		mono-tools
Version:	2.11
Release:	8
#Source0: http://go-mono.com/sources/mono-tools/%{name}-%{version}.tar.bz2
Source0:	http://go-mono.com/sources/mono-tools/mono-tools-master.tar.gz
Source1:	gsharp.svg
Patch0:		mono-tools-2.11-disable-gtkhtml.patch
Patch1:		mono-tools-2.11-disable-gendarme-webdoc-build.patch
Patch2:		gsharp_icon.patch
License:	GPLv2 and LGPLv2
Group:		Development/Other
Url:		http://www.go-mono.com
#gw it needs System.Xml.Linq:
BuildRequires:	mono-devel >= %{monover}
BuildRequires:	gnome-sharp2-devel
BuildRequires:	gnome-desktop-sharp-devel
BuildRequires:	glade-sharp2
BuildRequires:	webkit-sharp-devel
BuildRequires:	mono-nunit >= %{monover}
BuildRequires:	glib-gettextize
Requires(post): monodoc-core >= %{monover}
Requires: monodoc-core >= %{monover}
BuildArch: noarch


%description
Mono Tools is a collection of development and testing programs and
utilities for use with Mono.

%prep
%setup -q -n mono-tools-master
%patch0 -p1 -b .disable_gtkhtml
%patch1 -p1 -b .disable_gendarme
%patch2 -p0 -b .gsharp_icon

#for i in `find . -iname "*.cs"`;
#do
#	sed -i -e 's|Gtk.Timeout|Glib.Timeout|g' $i
#done

for i in `find . -name "*.am"`;
do
	sed -i -e 's|-define:DEBUG|-define:DEBUG -sdk:4|g' $i
done

%build
./autogen.sh
./configure --prefix=%{_prefix} --libdir=%{_prefix}/lib --mandir=%{_mandir}
#gw parallel make fails in 2.2
make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std pkgconfigdir=%{pkgconfigdir}
%find_lang %{name}
#gw it needs Mono.WebBrowser which needs gluezilla
rm -f %{buildroot}%{monodocdir}/MonoWebBrowserHtmlRender.dll
touch %{buildroot}%{monodocdir}/monodoc.index

mkdir -p %{buildroot}%{_iconsdir}
cp %{SOURCE1} %{buildroot}%{_iconsdir}
#%post
#touch %{monodocdir}/monodoc.index
#%_bindir/monodoc --make-index > /dev/null

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_bindir}/emveepee
%{_bindir}/minvoke
%{_bindir}/monodoc
%{_bindir}/mperfmon
%{_bindir}/gasnview
#%_bindir/gd2i
#%_bindir/gendarme
#%_bindir/gendarme-wizard
%{_bindir}/gsharp
%{_bindir}/gui-compare
%{_bindir}/create-native-map
%{_bindir}/ilcontrast
%{_bindir}/mprof*
%{_prefix}/lib/create-native-map
%{_prefix}/lib/ilcontrast/
%dir %{_prefix}/lib/minvoke/
%{_prefix}/lib/minvoke/minvoke.exe
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/emveepee.exe*
%{_prefix}/lib/%{name}/mprof*
%{_prefix}/lib/%{name}/Mono.Profiler*
%{_mandir}/man1/*
#%_mandir/man5/*
#%_prefix/lib/gendarme
%{_prefix}/lib/gsharp
%{_prefix}/lib/gui-compare
%{_prefix}/lib/mperfmon
%{_iconsdir}/gsharp.*
%monodir/1.0/*
%{monodocdir}/browser.exe
#%{monodocdir}/GtkHtmlHtmlRender.dll
#%{monodocdir}/MonoWebBrowserHtmlRender.dll
%{monodocdir}/WebKitHtmlRender.dll
#%{monodocdir}/sources/Gendarme*
#%{monodocdir}/sources/gendarme*
#%{monodocdir}/web
%{pkgconfigdir}/*.pc
#%_datadir/applications/gendarme-wizard.desktop
%{_datadir}/applications/gsharp.desktop
%{_datadir}/applications/monodoc.desktop
%{_datadir}/applications/ilcontrast.desktop
%{_datadir}/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%ghost %{monodocdir}/monodoc.index

%changelog
* Wed Jan 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.11-8
+ Revision: 151608c
- Updated to 2.11


